﻿.cart-table th, .cart-table td {
    vertical-align: middle;
    font-size: 0.95rem;
}

.cart-table input {
    width: 80px;
    margin: 0 auto;
    text-align: center;
}

.cart-table .qty {
    width: 60px;
}

.cart-table .btn {
    min-width: 35px;
}

.cart-table select {
    min-width: 150px;
}

.cart-table tfoot th {
    font-weight: bold;
    font-size: 1rem;
}

/* Custom arrow icon */
.arrow-icon {
    width: 12px;
    height: 12px;
    border-right: 2px solid #333;
    border-bottom: 2px solid #333;
    justify-content: center;
    transform: rotate(-42deg);
    transition: transform .2s ease;
}

/* Rotate arrow when opened */
.collaps-panel[open] .arrow-icon {
    transform: rotate(45deg);
}

.summary-header-icon {
    background: transparent;
    border: 1px solid #F1F2F4;
    border-radius: 6px;
    font-size: 16px;
    cursor: pointer;
    width: 30px;
    height: 30px;
    margin-right: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #444;
    padding: 0;
    transition: background 0.2s;
}

.backlog-header-icon:hover {
    background: var(--primary-color);
    color: #fff;
}

.panel-title {
    font-size: 16px;
    font-weight: 700;
    color: #1c2900;
}

/* Download Button */
#iconDownload {
    background-color: #e6f2ea; /* light green background */
    border: 1px solid #217346;
    color: #217346; /* icon + text color */
    font-size: 0.85rem; /* smaller text */
    padding: 0.25rem 0.5rem; /* smaller padding */
    display: inline-flex;
    align-items: center;
    gap: 0.25rem;
}

    #iconDownload i {
        font-size: 1rem;
    }

    #iconDownload:hover {
        background-color: #d0e6d4;
        transform: scale(1.05);
        transition: 0.2s;
    }

/* Edit Order Button */
#iconEditOrder {
    background-color: #e7f1ff; /* light blue background */
    border: 1px solid #0d6efd;
    color: #0d6efd; /* icon + text color */
    font-size: 0.85rem;
    padding: 0.25rem 0.5rem;
    display: inline-flex;
    align-items: center;
    gap: 0.25rem;
}

    #iconEditOrder i {
        font-size: 1rem;
    }

    #iconEditOrder:hover {
        background-color: #d0e0ff;
        transform: scale(1.05);
        transition: 0.2s;
    }

.loader-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}
.loader-content {
    text-align: center;
}


.order-message {
    background-color: #fff3cd; 
    border: 1px solid #ffeeba; 
    color: #856404; 
    padding: 12px 16px;
    margin: 15px 0;
    border-radius: 5px;
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 10px; 
}

    .order-message span {
        display: inline-block;
    }

@media (max-width: 576px) {
    .cart-table th,
    .cart-table td {
        font-size: 0.8rem;
        padding: 6px;

    }

    .cart-table .btn {
        min-width: 28px;
        padding: 2px 6px;
    }
    .cart-table tfoot th {
    
        font-size: 0.90rem;
    }
    .panel-title {
        font-size: 13px;
        font-weight: 600;
        color: #1c2900;
    }

    /* Download Button */
    #iconDownload {
        font-size: 0.50rem;
        padding: 1px 3px;
        gap: 0rem;
    }
    #iconEditOrder {
        font-size: 0.50rem;
        padding: 1px 3px;

        gap: 0rem;
    }
    .order-message {
        background-color: #fff3cd; 
        border: 1px solid #ffeeba; 
        color: #856404; 
        padding: 8px 12px;
        margin: 15px 0;
        border-radius: 5px;
        font-size: 12px;
        display: flex;
        align-items: center;
        gap: 5px; 
    }

        .order-message span {
            display: inline-block;
        }
}